﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;

namespace Demo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void mapView_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;
            map.CurrentExtent = new RectangleShape(-118.098, 84.3, 118.098, -84.3);

            var MrSidLayer = new MrSidRasterLayer(System.AppDomain.CurrentDomain.BaseDirectory + "\\World.sid");
            var overLay = new LayerOverlay();
            overLay.Layers.Add(MrSidLayer);
            map.Overlays.Add(overLay);
            map.Refresh();

        }
    }
}
